Description

In layer's properties --> Source Fields tab, there's no way to add a comment to an existing field. This seems to be possible only if done

during field creation. 

In 2.x, a double-click on the comment cell was enough to add/edit any comment.

History

#1 - 2018-03-11 10:33 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-03-12 12:08 AM - Nyall Dawson

- Status changed from Open to Feedback

I don't think that's the case -- field comments are read-only, and must be set at the provider backend level. The bug here is that the interface doesn't use a

read-only control, so it makes it look like they are editable when in reality they aren't.

#3 - 2018-03-12 09:42 PM - Harrissou Santanna

In 2.18, you can add comment to shapefiles fields.

#4 - 2018-06-01 11:23 AM - Harrissou Santanna

- Status changed from Feedback to Open

@m-kuhn, may I have your opinion here, please? I fail to get a reaction from David who afaik is the one that reworks this dialog so making a call to you :)

Not be able to add custom comment is annoying me so I'd like to know if it's a bug or an intended block. Thanks.

#5 - 2018-06-04 10:25 AM - Matthias Kuhn

Can you provide me with a 2.18 project with the comment set?

#6 - 2018-06-04 01:24 PM - Harrissou Santanna

Yes, I'll do it once I get a working 2.18. Since this week-end osgeo4w updates throw errors on both my home and working machines, hence no python on

master and no 2.18 at all. Need to figure out what i have messed up with meanwhile.

Otherwise, I tried on an old 2.18 (macOS) to create a project and it turns out that I could add a comment in eg a shapefile field, but when I reopened the

layer properties, my comment was cleared. Weird.
But I'm sure I used this feature years ago to document my fields in project before I move data to PG.

#7 - 2018-06-04 01:47 PM - Matthias Kuhn

Exactly the situation I remember: there is an editable field but its content is discarded right away and nowhere saved to. So IMO this is a GUI bug fix that

it's now readonly and adding comments would be a feature request.

#8 - 2018-06-21 11:17 AM - Harrissou Santanna

- Priority changed from High to Normal

- Tracker changed from Bug report to Feature request

- Subject changed from Unable to add comment to an existing field to Allow to add comment to an existing field
